### Hierarchy

- ConversionService

## Index

### Constructors

- constructor

### Properties

- _type
- destination
- source
- status

### Accessors

- type
- instance

### Methods

- fromJsonApi
- fromReduxObject
- toFlatObject
- toJsonApi
- toReduxObject

## Constructors

### constructor

- new ConversionService(enforcer: any): ConversionService

- - Defined in conversion/conversion-service.ts:34

  #### Parameters

  - ##### enforcer: any

  #### Returns ConversionService

## Properties

### _type

_type: string

- Defined in conversion/conversion-service.ts:34

### destination

destination: any

- Defined in conversion/conversion-service.ts:32

### source

source: any

- Defined in conversion/conversion-service.ts:31

### status

status: any

- Defined in conversion/conversion-service.ts:33

## Accessors

### type

- get type(): string
- set type(value: string): void

- - Defined in conversion/conversion-service.ts:138

  #### Returns string

- - Defined in conversion/conversion-service.ts:142

  #### Parameters

  - ##### value: string

  #### Returns void

### Static instance

- get instance(): any

- - Defined in conversion/conversion-service.ts:131

  #### Returns any

## Methods

### fromJsonApi

- fromJsonApi(jsonApiObject: any): any

- - Defined in conversion/conversion-service.ts:102

  #### Parameters

  - ##### jsonApiObject: any

  #### Returns any

### fromReduxObject

- fromReduxObject(data: any, type: string, id: any, options?: any): any

- - Defined in conversion/conversion-service.ts:111

  #### Parameters

  - ##### data: any

  - ##### type: string

  - ##### id: any

  - ##### Optional options: any

  #### Returns any

### toFlatObject

- toFlatObject(input: any, inputType?: string): any

- - Defined in conversion/conversion-service.ts:117

  #### Parameters

  - ##### input: any

  - ##### Default value inputType: string = "reduxObject"

  #### Returns any

### toJsonApi

- toJsonApi(input: any, inputType?: string, generateId?: boolean, stringify?: boolean): any

- - Defined in conversion/conversion-service.ts:43

  #### Parameters

  - ##### input: any

  - ##### Default value inputType: string = "Object"

  - ##### Default value generateId: boolean = false

  - ##### Default value stringify: boolean = false

  #### Returns any

### toReduxObject

- toReduxObject(data: any, options?: object): any

- - Defined in conversion/conversion-service.ts:107

  #### Parameters

  - ##### data: any

  - ##### Default value options: object = { camelizeTypeValues: false, camelizeKeys: false }

  #### Returns any